List Extensions

  • GET /deployments/extensions
Auth

Retrieves all of the available extensions.

Response

The extensions that are available

application/json
extensions object[] required

The list of extensions.

id string required

The extension ID

name string required

The extension name.

description string

The extension description.

url string required

The extension URL to be used in the plan.

download_url string

The download URL specified during extension creation.

extension_type enum required

The extension type.

Values: plugin bundle
version string required

The Elasticsearch version.

deployments string[]

List of deployments using this extension. Up to only 10000 deployments will be included in the list.